<?php
				for($i=0;$i<$_REQUEST['numExistentesBac'];$i++)
				{
						if($_REQUEST['Bac'.$i.'cur']!="")
						{
							mysql_query("UPDATE historial SET idCurso=".$_REQUEST['Bac'.$i.'cur']." WHERE id=".$_REQUEST['idBac'.$i], $conexion);
						}
						$idanio=$_REQUEST['Bac'.$i.'anio'];
						$otroanio=$_REQUEST['OtroBac'.$i.'anio'];
						if($idanio!="")
						{
							if($idanio=="Otra") //Nuevo Año
							{
								if($otroanio!="")
								{
									mysql_query("INSERT INTO anioacademico (anioAcademico) VALUES ('".$otroanio."')", $conexion);
									$consultaAnio=mysql_query("SELECT * FROM anioacademico ORDER BY id DESC",$conexion);
									$filaAnio=mysql_fetch_array($consultaAnio);
									$idanio=$filaAnio['id'];
								} else
								{
									$idanio=0;
								}
							}
							mysql_query("UPDATE historial SET idAnio=$idanio WHERE id=".$_REQUEST['idBac'.$i], $conexion);
						}
						mysql_query("UPDATE historial SET centro='".$_REQUEST['Bac'.$i.'centro']."' WHERE id=".$_REQUEST['idBac'.$i], $conexion);
						$modalidad=$_REQUEST['Bac'.$i.'mod'];
						if($modalidad=="Otra")
						{
							$modalidad=$_REQUEST['OtroBac'.$i.'mod'];
						}
						mysql_query("UPDATE historial SET modalidad='".$modalidad."' WHERE id=".$_REQUEST['idBac'.$i], $conexion);
						mysql_query("UPDATE historial SET observaciones='".$_REQUEST['Bac'.$i.'obs']."' WHERE id=".$_REQUEST['idBac'.$i], $conexion);
				}

				//NUEVAS

				for(;$i<=3;$i++)
				{
					if($_REQUEST['Bac'.$i.'cur']!=0)
					{
						$idanio=$_REQUEST['Bac'.$i.'anio'];
						$otroanio=$_REQUEST['OtroBac'.$i.'anio'];
						if($idanio!="")
						{
							if($idanio=="Otra") //Nuevo Año
							{
								if($otroanio!="")
								{
									mysql_query("INSERT INTO anioacademico (anioAcademico) VALUES ('".$otroanio."')", $conexion);
									$consultaAnio=mysql_query("SELECT * FROM anioacademico ORDER BY id DESC",$conexion);
									$filaAnio=mysql_fetch_array($consultaAnio);
									$idanio=$filaAnio['id'];
								} else
								{
									$idanio=0;
								}
							}
						}
						$modalidad=$_REQUEST['Bac'.$i.'mod'];
						if($modalidad="Otra")
						{
							$modalidad=$_REQUEST['OtroBac'.$i.'mod'];
						}
						mysql_query("INSERT INTO historial(nivel,idAlumno,idCurso,idAnio,centro,modalidad,observaciones) VALUES(3,$id,".$_REQUEST['Bac'.$i.'cur'].",$idanio,'".$_REQUEST['Bac'.$i.'centro']."','".$modalidad."','".$_REQUEST['Bac'.$i.'obs']."')",$conexion);
					}
				}
?>
